oracle.xml.xquery

## Interface OXQEntityResolverFactory

All Known Subinterfaces:
  OXQCompositeResolverFactory, OXQFileResolverFactory, OXQHttpResolverFactory, OXQJavaResolverFactory

    public interface OXQEntityResolverFactory

A factory for creating instances of `OXQEntityResolver`.

Since:
  12.1

### Method Summary

All Methods Instance Methods Abstract Methods
`OXQEntityResolver` `createResolver()` Creates an entity resolver.

### Method Detail

#### createResolver

    OXQEntityResolver createResolver()
                              throws XQException

Creates an entity resolver.

Returns:
  the entity resolver
Throws:
  `XQException` - if creating the entity resolver fails for any reason

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.